Page tree

Minimum system requirements


1 GHz processor
1 GB RAM (1.5 GB of RAM for Windows 7 and newer)
200 MB available hard disk space
Java 8 or higher distributed by Oracle (from version 17.29.0)


Recommended system specification


2 GHz processor, 2 or more physical cores
2 GB of RAM
200 MB available hard disk space
Java 8 or higher distributed by Oracle with latest update


Marvin for .NET

  • .NET framework 3.5 SP1. Please note that .NET framework 4 does not include the version 3.5.

Java

  • Java 8 or higher Java Runtime Environment (JRE) distributed by Oracle.

Supported major Java versions:
Java 6 til version 17.28.0.
Java 8 from version 17.29.0
Java10 from version 18.11.0

  • OpenJDK 8  from version 18.8.1 (Barium) and OpenJDK 11 from version 18.22.1 (Carbon) is also supported.

    In the case of AdoptOpenJDK and Oracle JDK 11 libfontconfig package must be included

    If you use Mac OS X, probably Java is already installed on your machine. If not, select Java in the Software Update center to install or update.

Testing Java

  • If you are not sure whether Java is installed or not on Windows, you can check it the following way:
    1. Select Command Prompt from the Accessories sub-menu in the Start menu.
    2. Type the following commands in the opened Command Prompt window: java -version
    3. You will get the following error message if Java is not available on your machine:
      'java' is not recognized as internal or external command, operable program or batch file
      If Java is installed, the version number of Java will be printed:
      java version "1.8.0_161"
      Java(TM) SE Runtime Environment (build 1.8.0_161-b12)
      Java HotSpot(TM) 64-Bit Server VM (build 25.161-b12, mixed mode)
  • You can test whether Java is working on your computer on Oracle's official testing site, too.

How to get .NET framework?

.NET framework 3.5 SP1 is included in Windows 7 by default, however, is not automatically installed with Windows 8, Windows 8.1 or Windows 10. 

In these operation systems it must be separately enabled to run applications that depend on it. For more information please see this page.

For other Windows OS you can download the .NET framework from Microsoft's official site.